Subject: [RFC] adp1653: Add device tree bindings for LED controller

From: [email-masked] (Pavel Machek)
Date: Tue, 18 Nov 2014 09:50:13 +0100

On Tue 2014-11-18 09:09:09, Jacek Anaszewski wrote:
> Hi Pavel, Sakari,
> 
> On 11/17/2014 03:58 PM, Sakari Ailus wrote:
> >Hi Pavel,
> >
> >On Sun, Nov 16, 2014 at 08:59:28AM +0100, Pavel Machek wrote:
> >>For device tree people: Yes, I know I'll have to create file in
> >>documentation, but does the binding below look acceptable?
> >>
> >>I'll clean up driver code a bit more, remove the printks. Anything
> >>else obviously wrong?
> >
> >Jacek Anaszewski is working on flash support for LED devices. I think it'd
> >be good to sync the DT bindings for the two, as the types of devices
> >supported by the LED API and the V4L2 flash API are quite similar.
> >
> >Cc Jacek.
> 
> I've already submitted a patch [1] that updates leds common bindings.
> I hasn't been merged yet, as the related LED Flash class patch [2]
> still needs some indicator leds related discussion [3].
> 
> I think this is a good moment to discuss the flash related led common
> bindings.
> 
> [2] http://www.spinics.net/lists/linux-media/msg83100.html

Actually, would it be possible to do the patches the other way around?

V4L2 api already knows about flash, torch and indicators. Provide
glue, so that V4L2 torch automatically appears as two leds in the led
subystem? (white and red in my case?)

[Well, I kind of like the LED class API more, but it appears both you
and me really have two LEDs in one package, and V4L2 already knows
about that so it is better match....?]

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html